Package org.apache.tools.ant.types.selectors

## Class OwnedBySelector

- java.lang.Object
- - org.apache.tools.ant.types.selectors.OwnedBySelector

All Implemented Interfaces:
  `ResourceSelector`, `FileSelector`

    public class OwnedBySelector
    extends java.lang.Object
    implements FileSelector

A selector that selects files based on their owner.

Owner is defined in terms of `Files.getOwner(java.nio.file.Path, java.nio.file.LinkOption...)`, this means the selector will accept any file that exists and is owned by the given user. If the `getOwner` method throws an `UnsupportedOperationException` the file in question is not included.

Since:
  Ant 1.10.0

### Constructor Summary

Constructors
`OwnedBySelector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)` Method that each selector will implement to create their selection behaviour.
`void` `setFollowSymlinks​(boolean followSymlinks)` Sets the "follow symbolic links" option.
`void` `setOwner​(java.lang.String owner)` Sets the user name to look for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

`isSelected`

### Constructor Detail

#### OwnedBySelector

    public OwnedBySelector()

### Method Detail

#### setOwner

    public void setOwner​(java.lang.String owner)

Sets the user name to look for.

Parameters:
  `owner` - the user name

#### setFollowSymlinks

    public void setFollowSymlinks​(boolean followSymlinks)

Sets the "follow symbolic links" option.

Parameters:
  `followSymlinks` - whether or not symbolic links or Windows junctions should be followed.

#### isSelected

    public boolean isSelected​(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)

Description copied from interface: `FileSelector`
Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

Specified by:
  `isSelected` in interface `FileSelector`
Parameters:
  `basedir` - A java.io.File object for the base directory
  `filename` - The name of the file to check
  `file` - A File object for this filename
Returns:
  whether the file should be selected or not